v3.0
get
/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/inventory/kit-types/{kitTypeId}/kits
Retrieves kit summary by kit type ID with new Column : BlockNumbers, kitNumberUTF8. Rights: OrsInventoryGet and OrsUnblinded.
Request
Path Parameters
-
kitTypeId(required): string
ID of the kit type.
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
blockNumber: string
Block number
-
kitNumber: string
Kit number
-
kitRange(required): string
Range of the kit.
-
kitStatus(required): string
Status of the kit.
-
labelGroupId(required): string
ID of the label group.
-
limit: string
Maximum number of records to display per page.
-
location(required): string
Location of the kit.
-
lotId(required): string
ID of the lot.
-
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.
-
sortBy: string
Specify the parameter by which the kits are ordered. Default value is 'SEQUENCE_NUMBER'.Default Value:
SEQUENCE_NUMBER
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : KitDetailsResponse
Type:
objectTitle:
KitDetailsResponseContains kit detail response.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
kits: array
kits
-
kitTypeId: string
Title:
Kit Type IDKit type identifier.Example:B1B8327AFAA6412287106192AB5984EF -
kitTypeName: string
Title:
Kit Type NameKit type name.Example:Kit1001 -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
maxKitNumber: integer
(int32)
Kit maximum number.Example:
5 -
maxSequenceNumber: integer
(int32)
Kit maximum sequence number.Example:
5 -
minKitNumber: integer
(int32)
Kit minimum number.Example:
5 -
minSequenceNumber: integer
(int32)
Kit minimum sequence number.Example:
5 -
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : kits
Type:
Show Source
array-
Array of:
object KitDetailsTO v1.0
Title:
KitDetailsTO v1.0Contains kit details.
Nested Schema : KitDetailsTO v1.0
Type:
objectTitle:
KitDetailsTO v1.0Contains kit details.
Show Source
-
blindedLotId: string
Title:
Blinded Lot IDBlinded lot ID.Example:9BD49A59E47E4383B98802712763FD43 -
blindedLotNumber: string
Title:
Blinded Lot NumberBlinded lot number.Example:BLot1101 -
inventoryId: string
(uuid)
Title:
Inventory IDInventory ID. -
inventoryStatus: string
Title:
Inventory StatusName of the inventory status.Example:Dispensed -
inventoryStatusId: number
(BigDecimal)
Title:
Inventory Status IDUnique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:10 -
kitNumber: number
(BigDecimal)
Title:
Kit NumberKit number.Example:10 -
labelGroup: string
Title:
Label GroupLabel group.Example:Labelgroup1001 -
labelGroupId: string
Title:
Label Group IDLabel group ID.Example:9BD49A59E47E4383B98802712763FD43 -
locationId: string
Title:
Location IDLocation.Example:1873CDF69E9B48B89B2D9E7951057D09 -
manufacturingLotId: string
Title:
Manufacturing Lot IDManufacturing lot ID.Example:9BD49A59E47E4383B98802712763FD43 -
manufacturingLotNumber: string
Title:
Manufacturing Lot NumberManufacturing lot number.Example:Mlot1001 -
sequenceNumber: number
(BigDecimal)
Title:
Sequence NumberSequence number.Example:10
Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
400 Response
Invalid kit status OR Invalid kit range filter OR Invalid label group in kit filtersOR Invalid kit type OR Invalid Lot OR Invalid location
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version or Kit type not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object